unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Archivo1: TMenuItem;
    Abrir1: TMenuItem;
    Salvar1: TMenuItem;
    Operaciones1: TMenuItem;
    Mostrar1: TMenuItem;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    Memo1: TMemo;
    procedure Salvar1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Salvar1Click(Sender: TObject);
var
  nom   : string;
  tid   : TextFile;
  N,kk  : integer;
  cad   : string;
begin
  if SaveDialog1.Execute then begin

    N := Memo1.Lines.Count;
    if (N=0) then begin
      ShowMessage('Memo Vacio, nada que salvar...');
    end
    else begin
      nom := SaveDialog1.FileName;

      // Asignar el archivo fisico al logico
      AssignFile(tid,nom);
      //Salvar limpiando si existe y si no lo crea
      rewrite(tid);
      // append(manejador) // para apendizar
      // reset(tid) para abrir un archivo para lectura con informacin
      // leemos del memo linea a linea y escribimos al archivo
      for kk := 0 to N - 1 do begin
        cad := Memo1.Lines.Strings[kk];
        writeln(tid,cad);
      end;

      CloseFile(tid);
    end;
  end;

end;

// Tarea.
// 1. Hacer el proceso inverso, es decir, dada la informacin en el archivo
//    subir al Memo las cadenas, una a una y rengln por rengln
// 2. Incluir un cono en la aplicacin

end.
